Ensure 'includedir /etc/sudoers.d’ in sudoers file for foreman-proxy
08/23/2016 01:39 PM - Stephen Benjamin

Status: Closed

Priority: Normal
Assignee:

Category: Foreman modules

Target version:

Difficulty: Fixed in Releases:
Triaged: No Found in Releases:
Bugzilla link: 1348616 Red Hat JIRA:

Pull request:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1348616
Description of problem:

The satellite installer creates the sudo file in /etc/sudoers.d/ called foreman-proxy for the foreman-proxy user. The user needs
permissions to do stuff with certificates and if it doesn't have sudo access the application will break.

Basically the sudoers file /etc/sudoers needs to contain the line:
includedir /etc/sudoers.d
This should be enforced as it causes this bug:

https://access.redhat.com/solutions/1399283

Version-Release number of selected component (if applicable):
6.1.X

maybe 6.2.X

How reproducible:

Easy to reproduce

Steps to Reproduce:

1. Remove #includedir directive and sudoers.d folder
2. Install product

3. Attempt to publish content view

4. Doesn't work

Actual results:

Installer does not force correct sudo rules

Expected results:

Installer should enforce correct sudo rules so that the application can work correctly

Additional info:

History

#1 - 08/24/2016 03:38 AM - Dominic Cleal
- Project changed from Foreman to Installer

- Subject changed from Ensure 'includedir /etc/sudoers.d' in sudoers file for foreman-proxy
to Ensure ‘includedir /etc/sudoers.d’ in sudoers file for foreman-proxy
- Category set to Foreman modules

#2 - 07/22/2019 03:43 PM - Ewoud Kohl van Wijngaarden

- Status changed from New to Closed

When using Puppet 6, sudo is no longer used in favor of using Puppetserver's HTTP API.
